<?php
// if this fails, check_admin_referer() will automatically print a "failed" page and die.
if ( ! empty( $_POST ) && check_admin_referer( 'nonce_slwp_settings', 'slwp_settings' ) ) {
  $posted = $_POST;
  unset($posted['submit']);
  unset($posted['slwp_settings']);
  unset($posted['_wp_http_referer']);
  update_option('slwp_settings', $posted);
}

$slwp_settings = get_option('slwp_settings', true);
?>
<div class="slwp-wrap rq-slwp-wrapper">
  <h1><?php esc_html_e('Social Login Settings', 'social-login-wp') ?></h1>
  <form method="post">
    <div class="form-table slwp-admin-settings-from">
      <div class="slwp-input-wrapper">
        <span class="slwp-input-title"><?php esc_html_e('Select Role', 'social-login-wp') ?></span>
        <div class="slwp-input-field">
          <?php
          if(isset($slwp_settings['user_role']))
            $role = $slwp_settings['user_role'];
          else
            $role = false;
          ?>
          <select class="role" name="user_role">
           <?php wp_dropdown_roles($role); ?>
         </select>
       </div>
      </div>
      <?php foreach (get_editable_roles() as $role_name => $role_info): ?>
        <div class="slwp-input-wrapper">
          <span class="slwp-input-title"><?php esc_html_e('Redirect URL for ' .$role_name, 'social-login-wp') ?></span>
          <div class="slwp-input-field">
          <input type="text" class="widefat rq-rub-input-field"
          	placeholder="Please insert redirect url"
          	name="<?php echo 'role_'.$role_name ?>" value="<?php echo ( isset( $slwp_settings['role_'.$role_name] ) && !empty( $slwp_settings['role_'.$role_name] ) ) ? $slwp_settings['role_'.$role_name] : ''; ?>">
          </div>
        </div>
      <?php endforeach; ?>

      <div class="slwp-input-group">
      <h3 class="rq-rub-shortcode-title"><?php esc_html_e('Mailchimp', 'social-login-wp') ?></h3>
        <div class="slwp-input-wrapper">
          <span class="slwp-input-title"><?php esc_html_e('Mailchimp Enable', 'social-login-wp') ?></span>
          <div class="slwp-input-field">
            <select class="mailchimp-allowed" name="mailchimp_enable">
              <option value="false" <?php if(isset($slwp_settings['mailchimp_enable'])) echo ($slwp_settings['mailchimp_enable'] == 'false' ? 'selected="selected"' : '') ?>>Disable</option>
              <option value="true"  <?php if(isset($slwp_settings['mailchimp_enable'])) echo ($slwp_settings['mailchimp_enable'] == 'true' ? 'selected="selected"' : '') ?>>Enable</option>
            </select>
          </div>
        </div>

        <div class="slwp-input-wrapper">
          <span class="slwp-input-title"><?php esc_html_e('Mailchimp Api Key', 'social-login-wp') ?></span>
          <div class="slwp-input-field">
            <input type="text" class="widefat rq-rub-input-field" name="mailchimp_api_key" value="<?php echo ( isset( $slwp_settings['mailchimp_api_key'] ) && !empty( $slwp_settings['mailchimp_api_key'] ) ) ? $slwp_settings['mailchimp_api_key'] : ''; ?>">
          </div>
        </div>
        <div class="slwp-input-wrapper">
          <span class="slwp-input-title"><?php esc_html_e('Mailchimp ListId', 'social-login-wp') ?></span>
          <div class="slwp-input-field">
            <input type="text" class="widefat rq-rub-input-field" name="mailchimp_listid" value="<?php echo ( isset( $slwp_settings['mailchimp_listid'] ) && !empty( $slwp_settings['mailchimp_listid'] ) ) ? $slwp_settings['mailchimp_listid'] : ''; ?>">
          </div>
        </div>
      </div>

      <div class="slwp-input-group">
      <h3 class="rq-rub-shortcode-title"><?php esc_html_e('Envato', 'social-login-wp') ?></h3>
        <div class="slwp-input-wrapper">
          <span class="slwp-input-title"><?php esc_html_e('Envato Enable', 'social-login-wp') ?></span>
          <div class="slwp-input-field">
            <select class="mailchimp-allowed" name="envato_enable">
              <option value="false" <?php if(isset($slwp_settings['envato_enable'])) echo ($slwp_settings['envato_enable'] == 'false' ? 'selected="selected"' : '') ?>>Disable</option>
              <option value="true"  <?php if(isset($slwp_settings['envato_enable'])) echo ($slwp_settings['envato_enable'] == 'true' ? 'selected="selected"' : '') ?>>Enable</option>
            </select>
          </div>
        </div>

        <div class="slwp-input-wrapper">
          <span class="slwp-input-title"><?php esc_html_e('Envato Api Key', 'social-login-wp') ?></span>
          <div class="slwp-input-field">
            <input type="text" class="widefat rq-rub-input-field" name="envato_api_key" value="<?php echo ( isset( $slwp_settings['envato_api_key'] ) && !empty( $slwp_settings['envato_api_key'] ) ) ? $slwp_settings['envato_api_key'] : ''; ?>">
          </div>
        </div>
        <div class="slwp-input-wrapper">
          <span class="slwp-input-title"><?php esc_html_e('Envato UserName', 'social-login-wp') ?></span>
          <div class="slwp-input-field">
            <input type="text" class="widefat rq-rub-input-field" name="envato_username" value="<?php echo ( isset( $slwp_settings['envato_username'] ) && !empty( $slwp_settings['envato_username'] ) ) ? $slwp_settings['envato_username'] : ''; ?>">
          </div>
        </div>
      </div>

      <div class="slwp-input-group">
      <h3 class="rq-rub-shortcode-title"><?php esc_html_e('Google Captcha', 'social-login-wp') ?></h3>
        <div class="slwp-input-wrapper">
          <span class="slwp-input-title"><?php esc_html_e('Enable Captcha', 'social-login-wp') ?></span>
          <div class="slwp-input-field">
            <select class="mailchimp-allowed" name="google_captcha_enable">
              <option value="false" <?php if(isset($slwp_settings['google_captcha_enable'])) echo ($slwp_settings['google_captcha_enable'] == 'false' ? 'selected="selected"' : '') ?>>Disable</option>
              <option value="true"  <?php if(isset($slwp_settings['google_captcha_enable'])) echo ($slwp_settings['google_captcha_enable'] == 'true' ? 'selected="selected"' : '') ?>>Enable</option>
            </select>
          </div>
        </div>

        <div class="slwp-input-wrapper">
          <span class="slwp-input-title"><?php esc_html_e('Google Captcha Site Key', 'social-login-wp') ?></span>
          <div class="slwp-input-field">
            <input type="text" class="widefat rq-rub-input-field" name="google_captcha_api_key" value="<?php echo ( isset( $slwp_settings['google_captcha_api_key'] ) && !empty( $slwp_settings['google_captcha_api_key'] ) ) ? $slwp_settings['google_captcha_api_key'] : ''; ?>">
          </div>
        </div>
      </div>
      <h3><?php esc_html_e('Social Login Buttons', 'social-login-wp') ?></h3> <br/><br/>
      <div class="slwp-input-group">
      <h3 class="rq-rub-shortcode-title"><?php esc_html_e('OpenID', 'social-login-wp') ?></h3>
        <div class="slwp-input-wrapper">
          <span class="slwp-input-title"><?php esc_html_e('OpenID Enable', 'social-login-wp') ?></span>
          <div class="slwp-input-field">
            <select class="openid-allowed" name="openid_enable">
              <option value="false" <?php if(isset($slwp_settings['openid_enable'])) echo ($slwp_settings['openid_enable'] == 'false' ? 'selected="selected"' : '') ?>>Disable</option>
              <option value="true"  <?php if(isset($slwp_settings['openid_enable'])) echo ($slwp_settings['openid_enable'] == 'true' ? 'selected="selected"' : '') ?>>Enable</option>
            </select>
          </div>
        </div>
      </div>
      <div class="slwp-input-group">
      <h3 class="rq-rub-shortcode-title"><?php esc_html_e('Yahoo', 'social-login-wp') ?></h3>
        <div class="slwp-input-wrapper">
          <span class="slwp-input-title">Base URL: </span>
          <div class="slwp-input-field">
            <div class="slwp-code"><?php echo SL_WP_URL. '/social-login/?hauth.done=Yahoo' ?></div>
          </div>
        </div>
        <div class="slwp-input-wrapper">
          <span class="slwp-input-title"><?php esc_html_e('Yahoo Enable', 'social-login-wp') ?></span>
          <div class="slwp-input-field">
            <select class="yahoo-allowed" name="yahoo_enable">
              <option value="false" <?php if(isset($slwp_settings['yahoo_enable'])) echo ($slwp_settings['yahoo_enable'] == 'false' ? 'selected="selected"' : '') ?>>Disable</option>
              <option value="true"  <?php if(isset($slwp_settings['yahoo_enable'])) echo ($slwp_settings['yahoo_enable'] == 'true' ? 'selected="selected"' : '') ?>>Enable</option>
            </select>
          </div>
        </div>
        <div class="slwp-input-wrapper">
          <span class="slwp-input-title"><?php esc_html_e('Yahoo Api Key', 'social-login-wp') ?></span>
          <div class="slwp-input-field">
            <input type="text" class="widefat rq-rub-input-field" name="yahoo_api_key" value="<?php echo ( isset( $slwp_settings['yahoo_api_key'] ) && !empty( $slwp_settings['yahoo_api_key'] ) ) ? $slwp_settings['yahoo_api_key'] : ''; ?>">
          </div>
        </div>
        <div class="slwp-input-wrapper">
          <span class="slwp-input-title"><?php esc_html_e('Yahoo Secret Key', 'social-login-wp') ?></span>
          <div class="slwp-input-field">
            <input type="text" class="widefat rq-rub-input-field" name="yahoo_secret_key" value="<?php echo ( isset( $slwp_settings['yahoo_secret_key'] ) && !empty( $slwp_settings['yahoo_secret_key'] ) ) ? $slwp_settings['yahoo_secret_key'] : ''; ?>">
          </div>
        </div>
      </div>

      <div class="slwp-input-group">
      <h3 class="rq-rub-shortcode-title"><?php esc_html_e('Facebook', 'social-login-wp') ?></h3>
      <div class="slwp-input-wrapper">
          <span class="slwp-input-title">Base URL: </span>
          <div class="slwp-input-field">
            <div class="slwp-code"><?php echo SL_WP_URL. '/social-login/?hauth.done=Facebook' ?></div>
          </div>
        </div>
        <div class="slwp-input-wrapper">
          <span class="slwp-input-title"><?php esc_html_e('Facebook Enable', 'social-login-wp') ?></span>
          <div class="slwp-input-field">
            <select class="facebook-allowed" name="facebook_enable">
              <option value="false" <?php if(isset($slwp_settings['facebook_enable'])) echo ($slwp_settings['facebook_enable'] == 'false' ? 'selected="selected"' : '') ?>>Disable</option>
              <option value="true"  <?php if(isset($slwp_settings['facebook_enable'])) echo ($slwp_settings['facebook_enable'] == 'true' ? 'selected="selected"' : '') ?>>Enable</option>
            </select>
          </div>
        </div>
        <div class="slwp-input-wrapper">
          <span class="slwp-input-title"><?php esc_html_e('Facebook App ID', 'social-login-wp') ?></span>
          <div class="slwp-input-field">
            <input type="text" class="widefat rq-rub-input-field" name="facebook_api_key" value="<?php echo ( isset( $slwp_settings['facebook_api_key'] ) && !empty( $slwp_settings['facebook_api_key'] ) ) ? $slwp_settings['facebook_api_key'] : ''; ?>">
          </div>
        </div>
        <div class="slwp-input-wrapper">
          <span class="slwp-input-title"><?php esc_html_e('Facebook App Secret', 'social-login-wp') ?></span>
          <div class="slwp-input-field">
            <input type="text" class="widefat rq-rub-input-field" name="facebook_secret_key" value="<?php echo ( isset( $slwp_settings['facebook_secret_key'] ) && !empty( $slwp_settings['facebook_secret_key'] ) ) ? $slwp_settings['facebook_secret_key'] : ''; ?>">
          </div>
        </div>
      </div>
      <div class="slwp-input-group">
      <h3 class="rq-rub-shortcode-title"><?php esc_html_e('Vkontakte', 'social-login-wp') ?></h3>
        <div class="slwp-input-wrapper">
          <span class="slwp-input-title"><?php esc_html_e('Vkontakte Enable', 'social-login-wp') ?></span>
          <div class="slwp-input-field">
            <select class="vk-allowed" name="vk_enable">
              <option value="false" <?php if(isset($slwp_settings['vk_enable'])) echo ($slwp_settings['vk_enable'] == 'false' ? 'selected="selected"' : '') ?>>Disable</option>
              <option value="true"  <?php if(isset($slwp_settings['vk_enable'])) echo ($slwp_settings['vk_enable'] == 'true' ? 'selected="selected"' : '') ?>>Enable</option>
            </select>
          </div>
        </div>
        <div class="slwp-input-wrapper">
          <span class="slwp-input-title"><?php esc_html_e('Vkontakte App ID', 'social-login-wp') ?></span>
          <div class="slwp-input-field">
            <input type="text" class="widefat rq-rub-input-field" name="vk_api_key" value="<?php echo ( isset( $slwp_settings['vk_api_key'] ) && !empty( $slwp_settings['vk_api_key'] ) ) ? $slwp_settings['vk_api_key'] : ''; ?>">
          </div>
        </div>
        <div class="slwp-input-wrapper">
          <span class="slwp-input-title"><?php esc_html_e('Vkontakte App Secret', 'social-login-wp') ?></span>
          <div class="slwp-input-field">
            <input type="text" class="widefat rq-rub-input-field" name="vk_secret_key" value="<?php echo ( isset( $slwp_settings['vk_secret_key'] ) && !empty( $slwp_settings['vk_secret_key'] ) ) ? $slwp_settings['vk_secret_key'] : ''; ?>">
          </div>
        </div>
      </div>

      <div class="slwp-input-group">
      <h3 class="rq-rub-shortcode-title"><?php esc_html_e('Twitter', 'social-login-wp') ?></h3>
        <div class="slwp-input-wrapper">
          <span class="slwp-input-title">Base URL: </span>
          <div class="slwp-input-field">
            <div class="slwp-code"><?php echo SL_WP_URL. '/social-login/?hauth.done=Twitter' ?></div>
          </div>
        </div>
        <div class="slwp-input-wrapper">
          <span class="slwp-input-title"><?php esc_html_e('Twitter Enable', 'social-login-wp') ?></span>
          <div class="slwp-input-field">
            <select class="twitter-allowed" name="twitter_enable">
              <option value="false" <?php if(isset($slwp_settings['twitter_enable'])) echo ($slwp_settings['twitter_enable'] == 'false' ? 'selected="selected"' : '') ?>>Disable</option>
              <option value="true"  <?php if(isset($slwp_settings['twitter_enable'])) echo ($slwp_settings['twitter_enable'] == 'true' ? 'selected="selected"' : '') ?>>Enable</option>
            </select>
          </div>
        </div>
        <div class="slwp-input-wrapper">
          <span class="slwp-input-title"><?php esc_html_e('Twitter Api Key', 'social-login-wp') ?></span>
          <div class="slwp-input-field">
            <input type="text" class="widefat rq-rub-input-field" name="twitter_api_key" value="<?php echo ( isset( $slwp_settings['twitter_api_key'] ) && !empty( $slwp_settings['twitter_api_key'] ) ) ? $slwp_settings['twitter_api_key'] : ''; ?>">
          </div>
        </div>
        <div class="slwp-input-wrapper">
          <span class="slwp-input-title"><?php esc_html_e('Twitter Secret Key', 'social-login-wp') ?></span>
          <div class="slwp-input-field">
            <input type="text" class="widefat rq-rub-input-field" name="twitter_secret_key" value="<?php echo ( isset( $slwp_settings['twitter_secret_key'] ) && !empty( $slwp_settings['twitter_secret_key'] ) ) ? $slwp_settings['twitter_secret_key'] : ''; ?>">
          </div>
        </div>
      </div>
      <div class="slwp-input-group">
      <h3 class="rq-rub-shortcode-title"><?php esc_html_e('Linkedin', 'social-login-wp') ?></h3>
        <div class="slwp-input-wrapper">
          <span class="slwp-input-title">Base URL: </span>
          <div class="slwp-input-field">
            <div class="slwp-code"><?php echo SL_WP_URL. '/social-login/?hauth.done=Linkedin' ?></div>
          </div>
        </div>
        <div class="slwp-input-wrapper">
          <span class="slwp-input-title"><?php esc_html_e('Linkedin Enable', 'social-login-wp') ?></span>
          <div class="slwp-input-field">
            <select class="linkedin-allowed" name="linkedin_enable">
              <option value="false" <?php if(isset($slwp_settings['linkedin_enable'])) echo ($slwp_settings['linkedin_enable'] == 'false' ? 'selected="selected"' : '') ?>>Disable</option>
              <option value="true"  <?php if(isset($slwp_settings['linkedin_enable'])) echo ($slwp_settings['linkedin_enable'] == 'true' ? 'selected="selected"' : '') ?>>Enable</option>
            </select>
          </div>
        </div>
        <div class="slwp-input-wrapper">
          <span class="slwp-input-title"><?php esc_html_e('Linkedin Api Key', 'social-login-wp') ?></span>
          <div class="slwp-input-field">
            <input type="text" class="widefat rq-rub-input-field" name="linkedin_api_key" value="<?php echo ( isset( $slwp_settings['linkedin_api_key'] ) && !empty( $slwp_settings['linkedin_api_key'] ) ) ? $slwp_settings['linkedin_api_key'] : ''; ?>">
          </div>
        </div>
        <div class="slwp-input-wrapper">
          <span class="slwp-input-title"><?php esc_html_e('Linkedin Secret Key', 'social-login-wp') ?></span>
          <div class="slwp-input-field">
            <input type="text" class="widefat rq-rub-input-field" name="linkedin_secret_key" value="<?php echo ( isset( $slwp_settings['linkedin_secret_key'] ) && !empty( $slwp_settings['linkedin_secret_key'] ) ) ? $slwp_settings['linkedin_secret_key'] : ''; ?>">
          </div>
        </div>
      </div>
      <div class="slwp-input-group">
      <h3 class="rq-rub-shortcode-title"><?php esc_html_e('Dribble', 'social-login-wp') ?></h3>
        <div class="slwp-input-wrapper">
          <span class="slwp-input-title">Base URL: </span>
          <div class="slwp-input-field">
            <div class="slwp-code"><?php echo SL_WP_URL. '/social-login/?hauth.done=Dribble' ?></div>
          </div>
        </div>
        <div class="slwp-input-wrapper">
          <span class="slwp-input-title"><?php esc_html_e('Dribble Enable', 'social-login-wp') ?></span>
          <div class="slwp-input-field">
            <select class="dribble-allowed" name="dribble_enable">
              <option value="false" <?php if(isset($slwp_settings['dribble_enable'])) echo ($slwp_settings['dribble_enable'] == 'false' ? 'selected="selected"' : '') ?>>Disable</option>
              <option value="true"  <?php if(isset($slwp_settings['dribble_enable'])) echo ($slwp_settings['dribble_enable'] == 'true' ? 'selected="selected"' : '') ?>>Enable</option>
            </select>
          </div>
        </div>
        <div class="slwp-input-wrapper">
          <span class="slwp-input-title"><?php esc_html_e('Dribble Api Key', 'social-login-wp') ?></span>
          <div class="slwp-input-field">
            <input type="text" class="widefat rq-rub-input-field" name="dribble_api_key" value="<?php echo ( isset( $slwp_settings['dribble_api_key'] ) && !empty( $slwp_settings['dribble_api_key'] ) ) ? $slwp_settings['dribble_api_key'] : ''; ?>">
          </div>
        </div>
        <div class="slwp-input-wrapper">
          <span class="slwp-input-title"><?php esc_html_e('Dribble Secret Key', 'social-login-wp') ?></span>
          <div class="slwp-input-field">
            <input type="text" class="widefat rq-rub-input-field" name="dribble_secret_key" value="<?php echo ( isset( $slwp_settings['dribble_secret_key'] ) && !empty( $slwp_settings['dribble_secret_key'] ) ) ? $slwp_settings['dribble_secret_key'] : ''; ?>">
          </div>
        </div>
      </div>
      <div class="slwp-input-group">
        <h3 class="rq-rub-shortcode-title"><?php esc_html_e('Instagram', 'social-login-wp') ?></h3>
          <div class="slwp-input-wrapper">
            <span class="slwp-input-title">Base URL: </span>
            <div class="slwp-input-field">
              <div class="slwp-code"><?php echo SL_WP_URL. '/social-login/?hauth.done=Instagram' ?></div>
            </div>
          </div>
          <div class="slwp-input-wrapper">
            <span class="slwp-input-title"><?php esc_html_e('Instagram Enable', 'social-login-wp') ?></span>
            <div class="slwp-input-field">
             <select class="instagram-allowed" name="instagram_enable">
              <option value="false" <?php if(isset($slwp_settings['instagram_enable'])) echo ($slwp_settings['instagram_enable'] == 'false' ? 'selected="selected"' : '') ?>>Disable</option>
              <option value="true"  <?php if(isset($slwp_settings['instagram_enable'])) echo ($slwp_settings['instagram_enable'] == 'true' ? 'selected="selected"' : '') ?>>Enable</option>
            </select>
          </div>
        </div>
          <div class="slwp-input-wrapper">
            <span class="slwp-input-title"><?php esc_html_e('Instagram Api Key', 'social-login-wp') ?></span>
            <div class="slwp-input-field">
              <input type="text" class="widefat rq-rub-input-field" name="instagram_api_key" value="<?php echo ( isset( $slwp_settings['instagram_api_key'] ) && !empty( $slwp_settings['instagram_api_key'] ) ) ? $slwp_settings['instagram_api_key'] : ''; ?>">
            </div>
          </div>
          <div class="slwp-input-wrapper">
            <span class="slwp-input-title"><?php esc_html_e('Instagram Secret Key', 'social-login-wp') ?></span>
            <div class="slwp-input-field">
              <input type="text" class="widefat rq-rub-input-field" name="instagram_secret_key" value="<?php echo ( isset( $slwp_settings['instagram_secret_key'] ) && !empty( $slwp_settings['instagram_secret_key'] ) ) ? $slwp_settings['instagram_secret_key'] : ''; ?>">
            </div>
          </div>
      </div>
      <div class="slwp-input-group">
        <h3 class="rq-rub-shortcode-title"><?php esc_html_e('Github', 'social-login-wp') ?></h3>
        <div class="slwp-input-wrapper">
          <span class="slwp-input-title">Base URL: </span>
          <div class="slwp-input-field">
            <div class="slwp-code"><?php echo SL_WP_URL. '/social-login/?hauth.done=Github' ?></div>
          </div>
        </div>
        <div class="slwp-input-wrapper">
          <span class="slwp-input-title"><?php esc_html_e('Github Enable', 'social-login-wp') ?></span>
          <div class="slwp-input-field">
            <select class="github-allowed" name="github_enable">
              <option value="false" <?php if(isset($slwp_settings['github_enable'])) echo ($slwp_settings['github_enable'] == 'false' ? 'selected="selected"' : '') ?>>Disable</option>
              <option value="true"  <?php if(isset($slwp_settings['github_enable'])) echo ($slwp_settings['github_enable'] == 'true' ? 'selected="selected"' : '') ?>>Enable</option>
            </select>
          </div>
        </div>
        <div class="slwp-input-wrapper">
          <span class="slwp-input-title"><?php esc_html_e('Github Api Key', 'social-login-wp') ?></span>
          <div class="slwp-input-field">
            <input type="text" class="widefat rq-rub-input-field" name="github_api_key" value="<?php echo ( isset( $slwp_settings['github_api_key'] ) && !empty( $slwp_settings['github_api_key'] ) ) ? $slwp_settings['github_api_key'] : ''; ?>">
          </div>
        </div>
        <div class="slwp-input-wrapper">
          <span class="slwp-input-title"><?php esc_html_e('Github Secret Key', 'social-login-wp') ?></span>
          <div class="slwp-input-field">
            <input type="text" class="widefat rq-rub-input-field" name="github_secret_key" value="<?php echo ( isset( $slwp_settings['github_secret_key'] ) && !empty( $slwp_settings['github_secret_key'] ) ) ? $slwp_settings['github_secret_key'] : ''; ?>">
          </div>
        </div>
      </div>
      <div class="slwp-input-group">
        <h3 class="rq-rub-shortcode-title"><?php esc_html_e('Google', 'social-login-wp') ?></h3>
        <div class="slwp-input-wrapper">
          <span class="slwp-input-title">Base URL: </span>
          <div class="slwp-input-field">
            <div class="slwp-code"><?php echo SL_WP_URL. '/social-login/?hauth.done=Google' ?></div>
          </div>
        </div>
        <div class="slwp-input-wrapper">
          <span class="slwp-input-title"><?php esc_html_e('Google Enable', 'social-login-wp') ?></span>
          <div class="slwp-input-field">
            <select class="google-allowed" name="google_enable">
              <option value="false" <?php if(isset($slwp_settings['google_enable'])) echo ($slwp_settings['google_enable'] == 'false' ? 'selected="selected"' : '') ?>>Disable</option>
              <option value="true"  <?php if(isset($slwp_settings['google_enable'])) echo ($slwp_settings['google_enable'] == 'true' ? 'selected="selected"' : '') ?>>Enable</option>
            </select>
          </div>
        </div>
        <div class="slwp-input-wrapper">
          <span class="slwp-input-title"><?php esc_html_e('Google Api Key', 'social-login-wp') ?></span>
          <div class="slwp-input-field">
           <input type="text" class="widefat rq-rub-input-field" name="google_api_key" value="<?php echo ( isset( $slwp_settings['google_api_key'] ) && !empty( $slwp_settings['google_api_key'] ) ) ? $slwp_settings['google_api_key'] : ''; ?>">
         </div>
        </div>
        <div class="slwp-input-wrapper">
          <span class="slwp-input-title"><?php esc_html_e('Google Secret Key', 'social-login-wp') ?></span>
          <div class="slwp-input-field">
            <input type="text" class="widefat rq-rub-input-field" name="google_secret_key" value="<?php echo ( isset( $slwp_settings['google_secret_key'] ) && !empty( $slwp_settings['google_secret_key'] ) ) ? $slwp_settings['google_secret_key'] : ''; ?>">
          </div>
        </div>
        <div class="slwp-input-group">
          <h3 class="rq-rub-shortcode-title"><?php esc_html_e('Button Options', 'social-login-wp') ?></h3>
          <div class="slwp-input-wrapper">
            <span class="slwp-input-title"><?php esc_html_e('Button Settings', 'social-login-wp') ?></span>
            <div class="slwp-input-field">
              <select class="mailchimp-allowed" name="button_settings">
                <option value="button_text" <?php if(isset($slwp_settings['button_settings'])) echo ($slwp_settings['button_settings'] == 'button_text' ? 'selected="selected"' : '') ?>>Button Text</option>
                <option value="button_text_icon" <?php if(isset($slwp_settings['button_settings'])) echo ($slwp_settings['button_settings'] == 'button_text_icon' ? 'selected="selected"' : '') ?>>Button Text With Icon</option>
                <option value="button_icon" <?php if(isset($slwp_settings['button_settings'])) echo ($slwp_settings['button_settings'] == 'button_icon' ? 'selected="selected"' : '') ?>>Button Icon</option>
              </select>
            </div>
          </div>
        </div>
      </div>
    </div>
    <?php wp_nonce_field( 'nonce_slwp_settings', 'slwp_settings' ); ?>
    <p class="submit"><input type="submit" name="submit" id="submit" class="button button-primary" value="<?php esc_html_e("Save Changes", 'social-login-wp') ?>"></p>
  </form>
</div>
