<?php
/**
 * Handle All types of User Profile Modification
 */
namespace Slwp\App;
class RedQ_User_Profile{
	public function __construct() {
		add_filter('get_avatar', array($this, 'custom_user_avater'), 10, 5);
	}


/**
 * This function will be used to show custom avater
 * @param  STRING $avatar      url of avater
 * @param  STRING $id_or_email [description] author user_id or email
 * @param  INTEGER $size        [description] avater thumbnail size
 * @param  [type] $default     [description]
 * @param  STRING $alt         [description]
 * @return VOID              [description]
 */
	function custom_user_avater($avatar, $id_or_email, $size, $default, $alt) {

		// If provided an email and it doesn't exist as WP user, return avatar since there can't be a custom avatar
		$email = is_object( $id_or_email ) ? $id_or_email->comment_author_email : $id_or_email;
		if( is_email( $email ) && ! email_exists( $email ) )
			return $avatar;
		$custom_avatar = get_user_meta( $email, 'user_custom_gravater', true);
    if (isset($custom_avatar) && $custom_avatar !='') {
			if (is_array($custom_avatar)) {
				$custom_avatar_url = $custom_avatar[0]['url'];
			}else{
				$custom_avatar_url = wp_get_attachment_image_url($custom_avatar);
			}
		}
		if (isset($custom_avatar_url)) {
			$return = '<img src="'.$custom_avatar_url.'" width="'.$size.'" height="'.$size.'" alt="'.$alt.'" />';
		}
		elseif ($avatar) {
			$return = $avatar;
		}
		else{
			$return = '<img src="'.$default.'" width="'.$size.'" height="'.$size.'" alt="'.$alt.'" />';
		}
		return $return;
	}
}
