<?php
namespace Slwp\App;
class Slwp_Router extends Slwp_Template_Handle{
  /**
   * Fire hooks
   */
  public function __construct(){
    add_action( 'init', array( $this , 'slwp_add_rule' ) );
    add_filter( 'query_vars',array( $this, 'slwp_add_query_var' ) );
    add_filter( 'template_include', array( $this, 'slwp_load_template' ) );
  }
  /**
   * Add rewrite rules
   *
   * @return void
   */
  public function slwp_add_rule(){
    global $wp_rewrite;
    add_rewrite_rule(  'confirm', 'index.php?confirm=$matches[1]', 'top' );
    $wp_rewrite->flush_rules();
  }
  /**
   * Add Query parameter through url
   *
   * @param  array  $vars
   * @return array
   */
  public function slwp_add_query_var( $vars ){
    $vars[] = 'confirm';
    return $vars;
  }
  /**
   * Load template with respect to query var
   *
   * @param  string $template default template name
   * @return string           template
   */
  public function slwp_load_template( $template ){
    if( get_query_var('confirm')){
    $template = $this->locate_template('/confirm.php');
    return $template;
    }
    return $template;
  }
}
