<?php

  $slwp_settings = get_option('slwp_settings', true);
  $slwp_button_settings = isset($slwp_settings['button_settings']) ? $slwp_settings['button_settings'] : 'button_text';


  function slwp_button_html( $settings, $text, $icon ) {
    switch ($settings) {
      case 'button_text':
        $button_html = $text;
        break;

      case 'button_text_icon':
        $button_html = '<i class="'.$icon.'"></i>' . $text;
        break;

      case 'button_icon':
        $button_html = '<i class="'.$icon.'"></i>';
        break;

      default:
        $button_html = $text;
        break;
    }
    return $button_html;
  }
?>
<div id="wpsl-sign-in" class="wpsl-signin-content <?php echo $slwp_button_settings ?>">
  <div class="wpsl-login-with-social">
    <?php if(isset($config['providers']['Facebook']['enabled']) && $config['providers']['Facebook']['enabled'] === 'true') { ?>
      <a class="wpsl-login-facebook wpsl-btn" href="?provider=Facebook">
        <?php echo slwp_button_html($slwp_button_settings, __('Sign-in with Facebook','social-login-wp'), 'fa fa-facebook' ); ?>
      </a>

    <?php } ?>
    <?php if(isset($config['providers']['Google']['enabled']) && $config['providers']['Google']['enabled'] === 'true'){  ?>
      <a class="wpsl-login-google wpsl-btn" href="?provider=Google">
        <?php echo slwp_button_html($slwp_button_settings, __('Sign-in with Google','social-login-wp'), 'fa fa-google' ); ?>
      </a>

    <?php } ?>
    <?php if(isset($config['providers']['Github']['enabled']) && $config['providers']['Github']['enabled'] === 'true'){  ?>
      <a class="wpsl-login-github wpsl-btn" href="?provider=Github">
        <?php echo slwp_button_html($slwp_button_settings, __('Sign-in with Github','social-login-wp'), 'fa fa-github' ); ?>
      </a>

    <?php } ?>
    <?php if(isset($config['providers']['Instagram']['enabled']) && $config['providers']['Instagram']['enabled'] === 'true'){  ?>
      <a class="wpsl-login-instagram wpsl-btn" href="?provider=Instagram">
        <?php echo slwp_button_html($slwp_button_settings, __('Sign-in with Instagram','social-login-wp'), 'fa fa-instagram' ); ?>
      </a>

    <?php } ?>
    <?php if(isset($config['providers']['Twitter']['enabled']) && $config['providers']['Twitter']['enabled'] === 'true'){  ?>
      <a class="wpsl-login-twitter wpsl-btn" href="?provider=Twitter">
        <?php echo slwp_button_html($slwp_button_settings, __('Sign-in with Twitter','social-login-wp'), 'fa fa-twitter' ); ?>
      </a>
    <?php } ?>
    <?php if(isset($config['providers']['LinkedIn']['enabled']) && $config['providers']['LinkedIn']['enabled'] === 'true'){ ?>
      <a class="wpsl-login-linkedin wpsl-btn" href="?provider=LinkedIn">
        <?php echo slwp_button_html($slwp_button_settings, __('Sign-in with LinkedIn','social-login-wp'), 'fa fa-linkedin' ); ?>
      </a>

    <?php } ?>
    <?php if(isset($config['providers']['Dribbble']['enabled']) && $config['providers']['Dribbble']['enabled'] === 'true'){ ?>
      <a class="wpsl-login-dribble wpsl-btn" href="?provider=Dribbble">
        <?php echo slwp_button_html($slwp_button_settings, __('Sign-in with Dribbble','social-login-wp'), 'fa fa-dribbble' ); ?>
      </a>

    <?php } ?>
    <?php if(isset($config['providers']['OpenID']['enabled']) && $config['providers']['OpenID']['enabled'] === 'true'){ ?>
      <a class="wpsl-login-openid wpsl-btn" href="?provider=OpenID">
        <?php echo slwp_button_html($slwp_button_settings, __('Sign-in with OpenID','social-login-wp'), 'fa fa-openid' ); ?>
      </a>

    <?php } ?>
    <?php if(isset($config['providers']['Yahoo']['enabled']) && $config['providers']['Yahoo']['enabled'] === 'true'){ ?>
      <a class="wpsl-login-yahoo wpsl-btn" href="?provider=Yahoo">
        <?php echo slwp_button_html($slwp_button_settings, __('Sign-in with Yahoo','social-login-wp'), 'fa fa-yahoo' ); ?>
      </a>

    <?php } ?>
    <?php if(isset($config['providers']['Vkontakte']['enabled']) && $config['providers']['Vkontakte']['enabled'] === 'true'){ ?>
      <a class="wpsl-login-yahoo wpsl-btn" href="?provider=Vkontakte">
        <?php echo slwp_button_html($slwp_button_settings, __('Sign-in with Vkontakte','social-login-wp'), 'fa fa-vk' ); ?>
      </a>

    <?php } ?>
  </div>
</div>
