<?php
/**
* HybridAuth
* http://hybridauth.sourceforge.net | http://github.com/hybridauth/hybridauth
* (c) 2009-2014, HybridAuth authors | http://hybridauth.sourceforge.net/licenses.html
*/

// ----------------------------------------------------------------------------------------
//	HybridAuth Config file: http://hybridauth.sourceforge.net/userguide/Configuration.html
// ----------------------------------------------------------------------------------------
$slwp_settings = get_option('slwp_settings', true);

return
array(
	"base_url" => SL_WP_URL.'/social-login/',
	"captcha" => array(
		'key' => $slwp_settings['google_captcha_api_key'],
		'enabled' => $slwp_settings['google_captcha_enable']
		),
	'role' => $slwp_settings['user_role'],
	'mailchimp' => array(
		'list_id' => $slwp_settings['mailchimp_listid'],
		'api_key' => $slwp_settings['mailchimp_api_key'],
		'enabled' => $slwp_settings['mailchimp_enable']
		),
	'envato' => array(
		'username' => $slwp_settings['envato_username'],
		'api_key' => $slwp_settings['envato_api_key'],
		'enabled' => $slwp_settings['envato_enable'],
		),
	"providers" => array (
		"OpenID" => array (
			"enabled" => $slwp_settings['openid_enable']
			),

		"Yahoo" => array (
			"enabled" => $slwp_settings['yahoo_enable'],
			"keys"    => array (
				"key" => $slwp_settings['yahoo_api_key'],
				"secret" => $slwp_settings['yahoo_secret_key']
			),
		),

		"Facebook" => array (
			"enabled" => $slwp_settings['facebook_enable'],
			"keys"    => array ( "id" => $slwp_settings['facebook_api_key'], "secret" => $slwp_settings['facebook_secret_key'] ),
			"scope" => 'email',
			"trustForwarded" => true,
			"allowSignedRequest" => false
			),
		"Twitter" => array (
			"enabled" => $slwp_settings['twitter_enable'],
			"keys"    => array ( "key" => $slwp_settings['twitter_api_key'], "secret" => $slwp_settings['twitter_secret_key'] )
			),
		"LinkedIn" => array (
			"enabled" => $slwp_settings['linkedin_enable'],
			"keys"    => array ( "key" => $slwp_settings['linkedin_api_key'], "secret" => $slwp_settings['linkedin_secret_key'] )
			),
		"Github" => array (
			"enabled" => $slwp_settings['github_enable'],
			"keys"    => array ( "id" => $slwp_settings['github_api_key'], "secret" => $slwp_settings['github_secret_key'] ),
			),
		"Dribbble" => array (
			"enabled" => $slwp_settings['dribble_enable'],
			"keys"    => array ( "id" => $slwp_settings['dribble_api_key'], "secret" => $slwp_settings['dribble_secret_key'] )
			),
		"Instagram" => array (
			"enabled" => $slwp_settings['instagram_enable'],
			"keys"    => array ( "id" => $slwp_settings['instagram_api_key'], "secret" => $slwp_settings['instagram_secret_key'] )
			),
		"Google" => array (
			"enabled" => $slwp_settings['google_enable'],
			"keys"    => array ( "id" => $slwp_settings['google_api_key'], "secret" => $slwp_settings['google_secret_key'] ),
			"scope"   => "https://www.googleapis.com/auth/plus.login ".
										"https://www.googleapis.com/auth/plus.me",
			),
		"Vkontakte" => array (
			"enabled" => $slwp_settings['vk_enable'],
			"keys"    => array ( "id" => $slwp_settings['vk_api_key'], "secret" => $slwp_settings['vk_secret_key'] )
			),
		),

		// If you want to enable logging, set 'debug_mode' to true.
		// You can also set it to
		// - "error" To log only error messages. Useful in production
		// - "info" To log info and error messages (ignore debug messages)
	"debug_mode" => false,

		// Path to file writable by the web server. Required if 'debug_mode' is not false
	"debug_file" => "",
);
